clang 10.0.0git

Public Member Functions | List of all members
clang::LocationContextManager Class Reference

`#include "clang/Analysis/AnalysisDeclContext.h"`

## Public Member Functions
| ~LocationContextManager ()
const StackFrameContext * | getStackFrame (AnalysisDeclContext *ctx, const LocationContext *parent, const Stmt *s, const CFGBlock *blk, unsigned blockCount, unsigned idx)
const ScopeContext * | getScope (AnalysisDeclContext *ctx, const LocationContext *parent, const Stmt *s)
const BlockInvocationContext * | getBlockInvocationContext (AnalysisDeclContext *ctx, const LocationContext *parent, const BlockDecl *BD, const void *ContextData)
void | clear ()
| Discard all previously created LocationContext objects. More...

## Detailed Description

Definition at line 406 of file AnalysisDeclContext.h.

## Constructor & Destructor Documentation

## ◆ ~LocationContextManager()

LocationContextManager::~LocationContextManager | ( |  | ) |

Definition at line 688 of file AnalysisDeclContext.cpp.

References clang::AnalysisDeclContextManager::clear().

## Member Function Documentation

## ◆ clear()

void LocationContextManager::clear | ( |  | ) |

Discard all previously created LocationContext objects.

Definition at line 692 of file AnalysisDeclContext.cpp.

## ◆ getBlockInvocationContext()

const BlockInvocationContext * LocationContextManager::getBlockInvocationContext | ( | AnalysisDeclContext * | ctx,
|  | const LocationContext * | parent,
|  | const BlockDecl * | BD,
|  | const void * | ContextData
| ) |  |

Definition at line 421 of file AnalysisDeclContext.cpp.

References clang::BlockInvocationContext::Profile().

Referenced by clang::AnalysisDeclContext::getBlockInvocationContext().

## ◆ getScope()

const ScopeContext * LocationContextManager::getScope | ( | AnalysisDeclContext * | ctx,
|  | const LocationContext * | parent,
|  | const Stmt * | s
| ) |  |

Definition at line 414 of file AnalysisDeclContext.cpp.

## ◆ getStackFrame()

const StackFrameContext * LocationContextManager::getStackFrame | ( | AnalysisDeclContext * | ctx,
|  | const LocationContext * | parent,
|  | const Stmt * | s,
|  | const CFGBlock * | blk,
|  | unsigned | blockCount,
|  | unsigned | idx
| ) |  |

Definition at line 398 of file AnalysisDeclContext.cpp.

References clang::StackFrameContext::Profile().

Referenced by clang::AnalysisDeclContextManager::getStackFrame().

The documentation for this class was generated from the following files:

- include/clang/Analysis/AnalysisDeclContext.h
- lib/Analysis/AnalysisDeclContext.cpp